%global pkg_name        Glib
%global pkg_version     1.162
%global rpm_pkg_version 1.162
%global rpm_pkg_release 1.n0i.34

Summary:       Perl wrappers for the GLib utility and Object libraries
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       LGPLv2+
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TS/TSCH/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: glib2-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(ExtUtils::Depends)   >= 0.200
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.00

%global perl_filter_prov 'perl\\(MY'


%description
This wrapper attempts to provide a perlish interface while remaining as true
as possible to the underlying C API, so that any reference materials you can
find on using GLib may still apply to using the libraries from perl.
This module also provides facilities for creating wrappers for other
GObject-based libraries.

%package devel
Summary:  Glib Perl development files
Group:    Development/Libraries
Requires: %{name} = %{version}
Requires: glib2-devel
Requires: perl(ExtUtils::Depends)   >= 0.200
Requires: perl(ExtUtils::PkgConfig) >= 1.00

%description devel
Development files useful for building Perl applications depending on Glib.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_encoding AUTHORS}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE NEWS README
%{perl_files}
%exclude %{perl_vendorarch}/Glib/Install

%files devel
%defattr(-,root,root,-)
%doc ChangeLog TODO
%{perl_vendorarch}/Glib/Install


%changelog
* Tue Nov 13 2007 Marius Feraru <altblue@n0i.net> - 1.162-1.n0i.34
- version 1.162

* Wed Oct 17 2007 Marius Feraru <altblue@n0i.net> - 1.161-2.n0i.33
- added more dependencies for devel subpackage

* Mon Oct 15 2007 Marius Feraru <altblue@n0i.net> - 1.161-1.n0i.32
- version 1.161
- split a "devel" subpackage

* Tue Sep 18 2007 Marius Feraru <altblue@n0i.net> - 1.160-1.n0i.31
- version 1.160
- updated License
- proper AUTHORS encoding

* Tue Jun 05 2007 Marius Feraru <altblue@n0i.net> - 1.144-1.n0i.30
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 1.144

* Wed Jan 24 2007 Marius FERARU <altblue@n0i.net> - 1.142-1.n0i.29
- version 1.142
- spec file (re)created using N0i::CPAN::RPMizer v1.14.0

* Mon Mar 27 2006 Marius Feraru <altblue@n0i.net> - 1.120-1.n0i.28
- version 1.120

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 1.105-1.n0i.27
- version 1.105

* Sat Feb 04 2006 Marius Feraru <altblue@n0i.net> - 1.103-1.n0i.26
- version 1.103

* Fri Dec 30 2005 Marius Feraru <altblue@n0i.net> 1.102-1.n0i.25
- version 1.102

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 1.101-1.n0i.24
- version 1.101

* Tue Sep 06 2005 Marius Feraru <altblue@n0i.net> 1.100-1.n0i.23
- version 1.100

* Thu Aug 25 2005 Marius FERARU <altblue@n0i.net> 1.093-2.n0i.22
- rebuild

* Fri Jul 29 2005 Marius FERARU <altblue@n0i.net> 1.093-1.n0i.21
- version 1.093 (unstable branch)

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 1.082-1.n0i.20
- version 1.082
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.071-1.n0i.19
- version 1.071

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:1.042-1.n0i.18
- automatic rebuild

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:1.042-1.n0i.17
- automatic rebuild

* Fri Apr 16 2004 Marius FERARU <altblue@n0i.net> 0:1.041-1.n0i.16
- version 1.042

* Sat Apr 10 2004 Marius FERARU <altblue@n0i.net> 0:1.041-1.n0i.15
- version 1.041

* Fri Mar 24 2004 Cornel Ghiban <cghiban@gmx.net> 0:1.040-1.n0i.14
- new unstable version 1.040

* Fri Mar 19 2004 Cornel Ghiban <cghiban@gmx.net> 0:1.0391-1.n0i.13
- new unstable version 1.0391

* Fri Mar 12 2004 Cornel Ghiban <cghiban@gmx.net> 0:1.039-1.n0i.12
- new unstable version 1.039

* Fri Feb 20 2004 Marius FERARU <altblue@n0i.net> 0:1.036-1.n0i.11
- new unstable version 1.036

* Fri Feb 13 2004 Marius FERARU <altblue@n0i.net> 0:1.035-1.n0i.10
- new unstable version 1.035

* Thu Feb 12 2004 Marius FERARU <altblue@n0i.net> 0:1.022-1.n0i.9
- new stable version 1.022

* Thu Feb 12 2004 Marius FERARU <altblue@n0i.net> 0:1.034-1.n0i.8
- version 1.034

* Mon Feb 02 2004 Marius FERARU <altblue@n0i.net> 0:1.033-0.n0i.7
- version 1.033

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:1.020-0.n0i.6
- version 1.020
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Thu Sep 25 2003 Marius FERARU <altblue@n0i.net> 1.00rc2-0.n0i.5
- version 1.00rc2

* Wed Jul 30 2003 Marius FERARU <altblue@n0i.net> 0.90-0.n0i.4
- version 0.90
- finally RHL-ified spec file.

* Mon Jul 28 2003 Marius FERARU <altblue@n0i.net> 0.26-0.n0i.3
- version 0.26
- more spec cleanups

* Mon Jun 30 2003 Marius FERARU <altblue@n0i.net> 0.24-1.n0i.2
- small spec cleanups (heh, the autogenerated stuff it's too messy to hassle
with it for the moment)
- added smp build flags
- dropped some useless stuff from the package
- dropped weird duplicates

* Sun Jun 29 2003 Marius FERARU <altblue@n0i.net> 0.24-0.n0i.1
- Initial build.
